For a more comprehensive changelog for the latest experimental SVN code, see:
        http://scummvm.sourceforge.net/daily/ChangeLog

0.10.0a (2007-08-04) (DS Port only)
 Nintendo DS Port:
   - New engines supported: AGI, CINE, and SAGA
   - Option to show the mouse cursor
   - Word completion on keyboard for AGI games
   - Plenty of optimisations
   - Numerous bug fixes

 General:
   - Fix speech mute in game options
   - Fix segmentation fault in GUI themes
 
 AGOS:
   - Fixed crashes related to OmniTV playback in The Feeble Files.
   - Fixed crash on exit in Simon the Sorcerer 2.

 BASS:
   - Better MT-32 compatibility

0.10.0 (2007-06-20)
 New Games:
   - Added Cinematique evo 1 engine. Currently only Future Wars is supported.
   - Added Touche: The Adventures of the Fifth Musketeer engine.
   - Added support for Gobliins 2.
   - Added support for Simon the Sorcerer's Puzzle Pack.
   - Added support for Ween: The Prophecy.
   - Added support for Bargon Attack.
   - Added Sierra AGI engine.
   - Added support for Goblins 3.
   - Added Parallaction engine. Currently only Nippon Safes Inc. is supported.

 General:
   - Added dialog which allows the user to select the GUI theme on runtime.
   - Added 'Mass Add' feature to the Launcher, which allows you to scan for
     all games in all subdirectories of a given directory (to use it, press
     shift then click on "Add Game").
   - Improved the way the auto detector generates target names, it now takes
     a game's variant, language and platform into account.
   - Improved compression for DXA movies.
   - Keyboard repeat is now handled in a centralized way, rather than on a
     case-by-case basis. (Simply put, all engines now have keyboard repeat.)

 Broken Sword 1:
   - Added support for DXA cutscenes.
   - Added support for Macintosh version.

 Broken Sword 2:
   - Added support for DXA cutscenes.
   - Added "fast mode" (use Ctrl-f to toggle).

 Queen:
   - Added support for Amiga versions.
   - Fixed some sound glitches.

 SCUMM:
   - Added support for non-interactive demos of HE games (CUP).
   - Improved A/V syncing in SMUSH videos (affects Dig, FT, COMI).
   - Improved speed of the NES sound code.
   - Fixed many (sometimes serious) actor walking issues, specifically
     in Zak McKracken and Maniac Mansion, by rewriting the walking code
     for these games.
   - Fixed several other issues.
   - Added support for DXA movies playback in HE games.

 Simon:
   - Renamed Simon engine to AGOS.

 Kyrandia:
   - Added support for FM-Towns version (both English and Japanese).

 BASS:
   - Fixed long-standing font bug. We were using the control panel font for
     LINC space and terminals, and the LINC font in the control panel. This
     caused many character glitches (some of which we used to work around) in
     LINC space and terminals, particularly in non-English languages.

 Symbian Port:
   - Added support for MP3 to S60v3 and UIQ3 versions.
   - Switched to SDL 1.2.11 for bug fixes and improvements
   - Improved performance for S60v3 and UIQ3 using ARM target.
   - Limited support for pre Symbian OS9 devices due to compiler issues.
   - Updated key mapping handling.
	
 WinCE Port:
   - Switched to using a GCC toolchain for building.
   - Major update to the SDL lib. Better, faster, more compatible :-)
     The included fixes are too numerous to mention here.
     Most of the updates in this version have concentrated on infrastructure.
     This leads to faster execution, greatly increased compatibility and
     OS friendliness - especially for keyboard/mouse input and display
     handling (f.ex. no more popups during gameplay) -.

 Windows Port:
   - The default location of the config file changed, to support multi-user
     systems.

 PalmOS Port:
   - Now using PalmOS Porting SDK which enables use of the C standard library

0.9.1 (2006-10-29)
 New Ports:
   - Added Nintendo DS port.
   - Added GP2X port.
   - Added GP32 port.

 General:
   - Fixed potential garbage and/or crash in debug console.
   - Removed restriction on 27 games per game id when added via launcher.

 SCUMM:
   - Improved support for international versions of HE games.
   - Fixed rare actor drawing glitches.
   - Fixed path finding during smart star challendge in Big Thinkers 1st Grade.
   - Fixed graphical glitches in stomach location of Pajama Sam 3.
   - Fixed graphical glitches in HE80 version of Putt-Putt Travels Through
     Time.
   - Fixed FM-TOWNS version of Indy3 failing on Amiga port.
   - Fixed crash in MM NES when clicking on top screen area
   - Now it is possible to turn on or off subtitles during SMUSH movies

 Simon:
   - Improved support for international versions of the Feeble Files.
   - Fixed undefined behaviour when loading music.
   - Fixed crash when displaying some subtitles in the Feeble Files.
   - Fixed crackling sound in Mac version of Feeble Files

 BASS:
   - Fixed character spacing in LINC terminals in floppy version v0.0303
   - Fixed a regression which caused incorrect adlib music emulation

 Broken Sword 1:
   - Fixed speech-related crashes.

 Broken Sword 2:
   - More robust handling of the optional startup.inf file.

 Kyrandia:
   - Scrolling in the Kyrandia intro is less CPU intensive, at the cost of
     not being as smooth as before.
   - Fixed a tiny graphics glitch in the Kyrandia intro.
   - Improved screen update handling, speeds up drawing on small devices.
   - Improved resource loading, faster startup.

 PSP Port:
   - Fixed crashes during scrolling scenes in certain SCUMM games.
   - Added saving of thumbnail in SCUMM savegames.

 PS2 Port:
   - Overlay uses higher resolution now.
   - Can boot from USB, HDD etc. as well.

 WinCE Port:
   - Several bugfixes
   - Re-add support for 2002 based devices

0.9.0 (2006-06-25)
 New Games:
   - Added kyra engine (for the Kyrandia series). Currently only the first
     part of the series is supported.
   - Added support for The Feeble Files

 General:
   - Switched from CVS to Subversion.
   - Restructured our source tree partially.
   - Fixed a bug that prevented you from overriding the scaler from the command
     line for 640x480 games.
   - Added subtitle configuration controls to the Launcher options dialogs.
   - GUI was completely redesigned and is now themeable.

 SCUMM:
   - Rewrote the detection code, for improved accuracy and better support of
     fan translations. It should now work much better on games with unknown
     MD5.
   - Added subtitle configuration controls to the options dialog.
   - Fixed graphical glitches in several HE games.
   - Fixed palette glitches in Big Thinkers 1st Grade.
   - Fixed songs in the kitchen of Pajama Sam 1.

 SAGA
   - Fixed sound distortion in the Inherit the Earth demo.

 Simon
   - Improved Hebrew support
   - Lots of long-overdue cleanups and re-structuring were made to accomodate
     for The Feeble Files.
   - Fixed a rare MIDI bug that would cause a channel to change volume without
     adjusting it to the master volume.
   - Fixed delay after introduction of Simon the Sorcerer 1 demo (With speech)
   - Fixed music tempo in DOS versions of Simon the Sorcerer 1.

 Broken Sword 1:
   - Added support for the --save-slot option.

 Broken Sword 2:
   - Major rewrite of how game resources are accessed in memory. This
     should fix alignment issues reported on some platforms.
   - Missing data files are handled more gracefully.

 WinCE Port:
   - Added: PocketPC: Vertical oversampling scaler 320x200=>320x240 when panel not shown (n0p) 
   - Added: PocketPC: Right click by double-tapping (n0p) 
   - Fixed: All: Clipping issues in some cases 
   - Added: PocketPC: Mouse emulation using keys 
   - Added: Smartphones: Virtual keyboard popup 
   - Fixed: Smartphones: Incorrect screen blit in SDL port 
   - Added: All: Mouse cursor visible on panel if using emulated mouse 
   - Added: All: Inverse landscape mode
   - Fixed: PocketPC: Dialogs cut-off/not redrawn

0.8.2 (2006-02-08)
 General:
   - Fixed OS X bundle building when using GCC 3.3.

 SCUMM:
   - Added support for rotating and scaling of sprites in HE games.

 Sword2:
   - Fixed last-minute crash when playing sound effects.

 WinCE Port:
   - Should fix weird crashes with DOTT stamp and in FOA (#1399830 #1392815)
   - Fixed Monkey Island blocking keyboard panel on Smartphones (thks Knakos)
   - Fixed QVGA Smartphone detection (mean it this time :p)
   - Fixed Smartphone double right click issue. 

0.8.1 (2006-01-31)
 General:
   - Fixed compiling with GCC 2.95.
   - Fixed LaTeX documentation.
   - Switched to new improved logo which matches new site design.
   - More descriptive game titles in all engines.
   - Fixed crash when trying to apply aspect-ratio correction to games that
     cannot use it.
   - Fixed potential security vulnerability with oversized PATH environment
     variables.
   - Lowered the default gain for the FluidSynth music driver and made it
     configurable.

 SCUMM:
   - Scrolling fixes in COMI, so it is less CPU-hungry.
   - Added support for Maniac Mansion NES German version.
   - Fixed mouse button states in COMI.
   - Fixed overflow when using control panel for robot in the Dig.
   - Added support for sound code, used by songs in HE games.
   - Improved shadows in later HE games.
   - Fixed subtitles glitches in HE games.
   - Improved music/sound for HE games.
   - Improved support for international versions of HE games.
   - Improved support for Macintosh versions of games.
   - Fixed several minor bugs.

 BASS:
   - Fix crash when speed/volume sliders are clicked and then dragged out
     of the scummvm window.

 Gob:
   - Fixed disappearing cursor when level password is typed in
   - Warn user if he tries to run CD version directly from CD under Windows

 Queen:
   - Fixed charset for Spanish version.

 SAGA:
   - Fixed digital music playback under BE systems.

 Simon:
   - Implemented more precise MD5-based game detection.
   - Added Polish support for Simon the Sorcerer 2.
   - Fixed fades during ride to goblins camp in Simon the Sorcerer 2.
   - Fixed palette delay at the end of Simon the Sorcerer 1.
   - Fixed sound looping in Windows version of Simon the Sorcerer 2.

 Sword1:
   - Fixed a bug where looping sounds would keep playing during cutscenes or
     when displaying any form of control panel dialog.
   - The save game dialog would erroneously claim an I/O error occurred if the
     savegame list had unused slots, and savegames were compressed.
   - Fixed a scrolling bug which caused the finale sequence to be displayed
     incorrectly.

 Sword2:
   - Fixes and cleanups to the end credits. The German credits work now.
   - Fixed missing speech/music in the second half of the game, reported to
     happen in some versions of the game.

 PS2 Port:
   - Completely reworked and now really goes official.

 PSP Port:
   - Fixed a bug that caused Broken Sword 1, and games that use ripped CDDA
     tracks (most notably the CD version of Monkey Island 1), to stop
     functioning properly after a while.

 WinCE Port:
   - Check backends/wince/README-WinCE for the latest news
   - Fixed disappearing panel when opening a list widget in GUI
   - Knakos patches (QVGA smartphones fix, easier key binding and panel
     switching)

0.8.0 (2005-10-30)
 New Games:
   - Added SAGA engine (for the games "I Have No Mouth and I Must Scream"
     and "Inherit the Earth").
   - Added Gob engine (for the Goblins series). Currently, only the
     first of the Goblins games is supported.

 New Ports:
   - Added PlayStation 2 port.
   - Added PlayStation Portable (PSP) port.
   - Added AmigaOS 4 port.
   - Added EPOC/SymbianOS port.
   - Added fixes for OS/2 port.

 General:
   - Reworked cursor handling in SDL backend. Now cursors can have
     their own palette and scaling. This is used by Humongous
     Entertainment games now.
   - Added FluidSynth MIDI driver.
   - Added GUI for the "soundfont" setting. (Currently only used by the
     CoreAudio and FluidSynth MIDI drivers.)
   - The MPEG player could hang if the sound ended prematurely.
   - Improved autoscaling GUI, which takes full advantage of your screen.
   - Fixes for GCC 4.

 SCUMM:
   - Added support for Mac Humongous Entertainment titles.
   - Added support for multiple filenames/versions using a single target.
   - Implemented CGA and Hercules render modes in early LEC titles.
   - Added dialogs which are shown when you modify the talkspeed or
     music volume using hotkeys.
   - Added support for NES version of Maniac Mansion.
   - Added thumbnail support for savegames.
   - Broke compatibility with HE savegame (HE v71 and upwards only).
   - Added possibility to disable building of HE and SCUMM v7 & v8 games
     support.
   - Fixed the last few known music glitches in Sam & Max. (There are
     still some - probably - minor missing features though.)
   - Added support for Commodore64 version of Zak McKracken
   - Eliminated all demos targets and platform-specific targets. Config
     file is autoupdated.

 Sword2:
   - Made the resource manager expire resources more intelligently.
   - Improved performance when playing the game from CD instead of hard
     disk.
   - Simplified sound effects handling. Again.
   - Code cleanups and restructuring.
   - Fixed long-standing bug in decompressing sounds from the
     speech/music CLU files. It was generating one sample too many,
     which could be heard as a very slight popping noise at the end of
     some sounds. Files that have been compressed with older versions
     of compress_sword2 will, of course, still have the same error. You
     may want to regenerate them.

0.7.1 (2005-03-27)
 General:
   - Added a MT-32 emulator. (It was actually added in 0.7.0 but we
     forgot to put it into the NEWS file :-).
   - Less memory-hungry MPEG movie playback for the Broken Sword games.

 SCUMM:
   - Fixed wrong actor animation in Full Throttle INSANE
 
 Windows Mobile port (PocketPC / Smartphone) :
   - Fixed FOTAQ crash on all platforms when leaving the hotel AGAIN
   - Better low quality Adlib emulation for FOTAQ
   - Fix randomly broken Hide Toolbar option (thanks iKi)
   - Fix first hardware key mapping (was not displayed before) 
   - Fix BASS & Simon hangs on Smartphone when using the Skip hotkey
   - Fix Zone key action on Smartphone (now mapped on key 9)
   - Experimental third party VGA mode (SE-VGA) fix
   - Add Key Mapping option in the launcher (Options / Misc / Keys)
   - Remove AYGSHELL.DLL dependency to work on CE .Net platforms
   - Fix key mapping issues introduced in 0.7.0
   - Full Throttle interactive action sequences should be more playable.
   - New key mapping option "FT Cheat" to win a Full Throttle action sequence
   - Quit Simon game with 'Action key' on Smartphones

 Sword2:
   - Fixed crash caused by attempting to play music from CD1 and CD2 at the
     same time.
   - Fixed crash in the cutscene player if the speech file was missing.

 BASS:
   - Fixed crash when talking to the gardener using spanish text with the
     floppy version.

0.7.0 (2004-12-24)
 New Games:
   - Added 26 Humongous Entertainment titles, only a few are completable.

 General:
   - Added support for FLAC (lossless) encoded audio files
   - Added an 'On Screen Display' to the SDL backend
   - Partially rewrote the backend API
   - Comments and the order of section in config files are preserved now
   - Updated AdvMame scalers based on scale2x 2.0 - AdvMame3x looks nicer now,
     and AdvMame2x is MMX accelerated
   - Added MMX i386 assembler versions of the HQ2x and HQ3x scalers
   - Added 'Extra Path' option allows for a searching an additional datafile
     location (for reencoded cutscenes and the like)
   - Disabled Alt-x and Ctrl-z quit keys in favour of Ctrl-q on unix like
     operating systems, like Linux (exception: Mac OS X still uses Cmd-q)
   - Separate smaller font for the console, allowing for more visible
     information, for example in the SCUMM debugger.
   - Added support for setting output sample rate at run-time, although there
     is currently no GUI for it.
   - The save directory now has a default rather than the current directory on
     some platforms:
         Mac OS X:     $HOME/Documents/ScummVM Savegames/
         Other unices: $HOME/.scummvm/
   - Added a new about dialog with scrolling credits

 SCUMM:
   - Removed the old zak256 target, use zakTowns instead
   - Added native support for Macintosh versions using a special container
     file. This removes the need for using the 'RESCUMM' program
   - Added smooth horizontal scrolling for The Dig, Full Throttle and COMI
     (matching the original engine)
   - Partially rewrote the text engine, fixing various bugs, especially in 
     newer games (The Dig, COMI)
   - Fixed actor drawing glitches in V1 Maniac and Zak
   - Fixed ship-to-ship graphic glitches in COMI
   - Fixed palette glitches in COMI

 Queen:
   - Fixed some issues with the Dreamcast backend.

 Sword1:
   - Added support for compressed speech and music.
   - Added support for the demo.
   - Better support for the Czech version.
   - Added workarounds for script and subtitle bugs in some game versions.

 Sword2:
   - Simplified memory/resource management
   - Simplified sound effects handling
   - Added support for compressed speech and music.
   - Fixed various minor bugs.

 BASS:
   - Added workarounds for some rare scripting bugs that could render the game
     unwinnable.

0.6.1b (2004-08-03)
 General:
   - Fixed copy/paste bug in launcher that may corrupt the Savegame Path 
   - Fixed crashes on 64-bit architectures

 SCUMM:
   - Fixed VOC crash when playing DOTT Floppy
   - Fixed palette issues in Amiga version of MI2

 Simon:
   - Fixed VOC crash

0.6.1 (2004-07-25)
 General:
   - Fixed sound glitch when streaming two or more Ogg Vorbis sounds from the
     same file handle, e.g. in the Sam & Max intro when using monster.sog.

 SCUMM:
   - As usual: many SCUMM game engine fixes.
   - Added graphics decoders for 3DO Humongous Entertainment games
   - Numerous Humongous Entertainment games fixes
   - Fixed bug in Full Throttle, so battle difficulty matches original
   - Improved Digital iMUSE

 Sword1:
   - Warn the user if saving fails, instead of crashing.
   - Slightly more user-friendly save/restore dialog.
   - Fixed masking glitch outside Nico's apartment.

 BASS:
   - Warn the user if saving a game doesn't work.

 Simon:
   - Fixed crashes in some international versions

0.6.0 (2004-03-14)
 New Games:
   - Added Broken Sword 1 engine.
   - Added Broken Sword 2 engine.
   - Added Flight of the Amazon Queen engine
   - Added support for V1 SCUMM games 'Maniac Mansion' and 'Zak McKracken'
   - SCUMM game Full Throttle is now supported

 General:
   - Subtitles now default to disabled. '-n' option now enabled subtitles.
   - Added HQ2x and HQ3x scalers
   - Rewrote sound code for more flexibility and performance
   - Improved native MT32 support
   - Adlib GM emulation table revamped, providing more accurate software MIDI
   - Default Makefile now uses configure script
   - Greatly improved the launcher and options dialogs (work-in-progress)
   - Many other "under the hood" improvements, like a new config managment
     and plugin capabilities

 Simon:
   - Added data files decoder for Amiga disk versions
   - Added support for inventory graphics in Amiga versions
   - Fixed various brief freezes
   - Fixed minor glitches in load/save dialog in non-English versions
   - Fixed missing inventory arrows in some versions of Simon the Sorcerer 1

 SCUMM:
   - Many, Many, Many SCUMM game engine fixes. Many of them. And that's a lot.
   - Added INSANE support for Full Throttle 'action sequences'
   - Added option to choose between Adlib, PCjr and PC Speaker in earlier
     games.
   - Added Adlib support for indy3ega and loom (ega)
   - Added MIDI support for loom (ega), monkeyega and monkeyvga.
   - Added sound effects support for indy3/monkeyega/monkeyvga/pass
   - Added FM Towns targets for Loom and Indy3
   - Rewrote in-game menu (F5) to be easier to use
   - Improved FM Towns SFX support (YM2612 emulation, looping)
   - Classic V1 versions of Maniac Mansion and Zak McKracken are now supported
     and completable
   - Rewrote Digital iMUSE music system
   - Several Analog iMUSE music system bugs fixed
   - Improved music/sound for various Amiga versions
   - Improved compression of Fate of Atlantis and Simon the Sorcerer 2 sound
     files
   - Keyboard fighting in Fate of Atlantis now works
   - Keyboard support for cannon battle in Curse of Monkey Island
   - Keyboard support for derby scene in Full Throttle

0.5.1 (2003-08-06) 
- Rewrote Beneath a Steel Sky savegame code (see note in READMEs 'Known Bugs')
- Fixed dialog skipping, music volume and several crashes/freezes in Steel Sky
- Fixed dialog skipping in V7 games
- Fixed glitch when quitting ScummVM in fullscreen mode on Mac OS X
- Fixed various COMI bugs related to actor placement/scaling
- Added complete Hebrew support for Simon the Sorcerer 1 and 2
- Several MorphOS and DreamCast port fixes
- DreamCast now runs Simon the Sorcerer 1 & 2
- Fixed a fullscreen problem on Mac OS X were you couldn't use the mouse in
  the top part of the screen by linking to a bugfixed version of SDL

0.5.0 (2003-08-02)
- Enhanced versions of Maniac Mansion and Zak McKracken are now supported and
  completable
- Beneath A Steel Sky is now supported and completable
- Added support for Amiga version of Monkey Island 1
- Initial unplayable support for V1 version of Maniac Mansion/Zak McKracken
- Curse of Monkey Island (COMI) support for playing from CD improved on Mac
  OS X
- Loading COMI savegames for disk 2 doesn't anymore require disk 1 first
- Rewritten iMUSE engine, and many Music fixes (exp. Monkey Island 2)
- Support for music in Humongous games and simon2dos/simon2talkie (XMIDI
  format)
- Support for music in simon1demo (Proprietary format)
- Complete music support for Simon the Sorcerer 2
- Improved music and sound support in Zak256
- Added Aspect Ratio option
- Many other bug fixes, improvements and optimizations

0.4.1 (2003-05-25)
- Added AdvMame3x filter
- Fixed crash in Curse of Monkey Island (and possibly other games as well)
- Fixed airport doors in Zak256
- Fixed crash in SDL backend
- Fixed various iMUSE bugs

0.4.0 (2003-05-11)
- Curse of Monkey Island (comi) support (experimental)
- Added support for the EGA versions of Loom, Monkey Island and Indy3
- Improved music support in Indy3 and the floppy versions of Monkey Island
- Many Simon the Sorcerer 1 & 2 improvements and fixes
- Very pre-alpha Beneath a Steel Sky code. Don't expect it to do anything. 
- Even more pre-alpha support for V2 SCUMM games (Maniac Mansion and Zak)
- Preliminary support for early Humongous Entertainment titles (very
  experimental)
- New debug console and several GUI/Launcher enhancements
- New Save/Load code (easier to expand while retaining compatibility)
- DreamCast port now works with new games added for 0.3.0b
- New official PalmOS port
- Various minor and not so minor SCUMM game fixes
- Large memory leak fixed for The Dig/ComI
- SMUSH code optimised, frame dropping added for slower machines
- Code cleanups

0.3.0b (2002-12-08)
- massive cleanup work for iMUSE. Sam and Max music now plays correctly
- many bugfixes for Zak256, + sound and music support
- music support for Simon the Sorcerer on any platform with real MIDI
- experimental support for Indy3 (VGA) - Indiana Jones + Last Crusade
- completed support for Monkey1 VGA Floppy, The Dig
- added akos16 implementation for The Dig and Full Throttle costumes
- added digital iMUSE implementation for The Dig and Full Throttle music.
- Loom CD speech+music syncronisation improved greatly
- added midi-emulation via adlib, for platforms without sequencer support
- code separation of various engine parts into several libraries
- several fixes to prevent Simon the Sorcerer crashing and hanging
- hundreds of bugfixes for many other games
- new SMUSH video engine, for Full Throttle and The Dig
- new in-game GUI
- launcher dialog

0.2.0 (2002-04-14)
- core engine rewrite
- enhanced ingame GUI, including options/volume settings.
- auto-save feature
- added more command-line options, and configuration file
- new ports and platforms (MorphOS, Macintosh, Dreamcast, Solaris, IRIX, etc)
- graphics filtering added (2xSAI, Super2xSAI, SuperEagle, AdvMame2x)
- support for MAD MP3 compressed audio
- support for first non-SCUMM games (Simon the Sorcerer)
- support for V4 games (Loom CD)
- enhanced V6 game support (Sam and Max is now completable)
- experimental support for V7 games (Full Throttle/The Dig)
- experimental support for V3 games (Zak256/Indy3)

0.1.0 (2002-01-13)
- loads of changes

0.0.2 (2001-10-12):
- bug fixes
- save & load support

0.0.1 (2001-10-08):
- initial version
